| Visioscan Set SDK Libraries 1.3.5 Visioscan Set SDK Help documentation file for C++ and C++/CLI |

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
CommunicationException Class Reference

An Exception used when a communication error is detected. More...

`#include <CommunicationException.h>`

Inheritance diagram for CommunicationException:

## Public Member Functions
| CommunicationException (const char *message, const char *translateCode)
| Copy constructor.
| CommunicationException (int code, const string &message, string translateCode)
| Copy constructor.
| CommunicationException (const string &message, string translateCode)
| Copy constructor.
virtual | ~CommunicationException () noexcept
| Destructor.
virtual const char * | what () const noexcept
| Overload of message retrie.
int | GetErrorCode ()

## Protected Attributes
string | _msg
int | _code = -1

## Detailed Description

An Exception used when a communication error is detected.

## Constructor & Destructor Documentation

## ◆ CommunicationException() [1/3]

CommunicationException::CommunicationException | ( | const char * | message,
|  | const char * | translateCode )
| inline explicit

Copy constructor.

Parameters

  message | A message pointer to a char

## ◆ CommunicationException() [2/3]

CommunicationException::CommunicationException | ( | int | code,
|  | const string & | message,
|  | string | translateCode )
| explicit

Copy constructor.

Parameters

  code | The error code
  message | A message string

## ◆ CommunicationException() [3/3]

CommunicationException::CommunicationException | ( | const string & | message,
|  | string | translateCode )
| inline explicit

Copy constructor.

Parameters

  message | A message string

## ◆ ~CommunicationException()

virtual CommunicationException::~CommunicationException | ( |  | ) |
| inline virtual noexcept

Destructor.

Returns

## Member Function Documentation

## ◆ GetErrorCode()

int CommunicationException::GetErrorCode | ( |  | ) |

## ◆ what()

virtual const char * CommunicationException::what | ( |  | ) | const
| inline virtual noexcept

Overload of message retrie.

Returns
  A pointer to a char representing the message

## Member Data Documentation

## ◆ _code

int CommunicationException::_code = -1
| protected

## ◆ _msg

string CommunicationException::_msg
| protected

The documentation for this class was generated from the following files:

- CommunicationException.h
- CommunicationException.cpp